package osdu.allow_employee

test_allow {
    allow with input as {
        "CompanyName": "Our Company",
        "EmployeeType": "Our Employee",
        "DataEntitlementContracts": [
            {
                "Data": {
                    "IndividualTypeProperties": {
                        "AgreementIdentifier":"UNKNOWN-GBL-Shell-NONE-AFFILIATE-ENABLED-CONTRACTOR-DISABLED-2022-03-29",
                        "AssetName": "AFFILIATE ENABLED_CONTRACTOR DISABLED",
                        "AgreementType": "srn:reference-data/AgreementType:UNKNOWN:",
                        "AgreementDescription": "OSDU Testing",
                        "EffectiveDate": "2022-01-00T00:00:00",
                        "TerminationDate": "2027-01-00T00:00:00",
                        "ExternalEnablementIndicator": false,
                        "MetadataRestrictionIndicator": false,
                        "RestrictedUseIndicator": false,
                        "ExportGrantIndicator": false,
                        "AffiliateEnablementIndicator": "True",
                        "AgreementParties": [
                            {"AgreementParty": "All"},
                        ]
                    }
                }
            }
        ]
    }
}

test_not_allow {
    not allow with input as {
        "CompanyName": "Our Company",
        "EmployeeType": "Contractor",
        "DataEntitlementContracts": [
            {
                "Data": {
                    "IndividualTypeProperties": {
                        "AgreementIdentifier":"UNKNOWN-GBL-Shell-NONE-AFFILIATE-ENABLED-CONTRACTOR-DISABLED-2022-03-29",
                        "AssetName": "AFFILIATE ENABLED_CONTRACTOR DISABLED",
                        "AgreementType": "srn:reference-data/AgreementType:UNKNOWN:",
                        "AgreementDescription": "OSDU Testing",
                        "EffectiveDate": "2022-01-00T00:00:00",
                        "TerminationDate": "2027-01-00T00:00:00",
                        "ExternalEnablementIndicator": false,
                        "MetadataRestrictionIndicator": false,
                        "RestrictedUseIndicator": false,
                        "ExportGrantIndicator": false,
                        "AffiliateEnablementIndicator": "True",
                        "AgreementParties": [
                            {"AgreementParty": "Our Company"},
                            {"AgreementParty": "All"},
                        ]
                    }
                }
            }
        ]
    }
}
